/* GERAL CONF */

*{
    margin:0;
    padding: 0;
    overflow-x: hidden;
    font-family: 'Roboto', sans-serif;
}

img {
    height: auto;
    max-width: 100%;
}

/* HEADER SECTION  */

header{
    height: 100vh;
    background-image: url(https://i.pinimg.com/originals/57/bb/66/57bb66cb4895565d755910654a6b0c80.jpg);
    position: relative;
    background-size: cover;
    background-attachment: fixed;
}
nav{
    display: flex;
    justify-content: space-between;
    position: absolute;
    top:0;
    width: 100%;
    background: linear-gradient(to bottom,rgba(0,0,0,0.4), transparent) ;
    padding:0.3em;
}

nav a, .nav-item{
    text-decoration: none;
    color: rgb(223, 56, 83);
    font-weight: 700;
    position: relative;
    transition: .5s;
}

nav div{
    display: flex;
    justify-content: space-around;
    width: 100%; 
    align-items: center;
}


.nav-item:hover{
    color:rgb(45, 61, 77);
}


.nav-item:after{
    content: '';
    height: 2px;
    background-color: rgb(45, 61, 77);
    position: absolute;
    width:0;
    bottom: 0;
    left: 0;
    transition: .5s;
}

.nav-item:hover::after{
    width: 100%;
}

nav a{
    padding: 0;
}

nav a img{
    width: 50%;
    float: right;
}

header button{
    position: absolute;
    top:70%;
    left:50%;
    transform: translate(-50%, -50%);
    padding: 1%;
    background-color: rgb(255, 88, 61);
    border:none;
    border-radius: 1px;
    font-weight: 900;
    color: white;
    transition: .3s;
}

header button:hover{
    cursor: pointer;
    box-shadow: 5px 10px 20px rgba(0,0,0,0.5);
}

/* MAIN SECTION */

main{
    margin-top:1em;
    width:90%;
    margin: 1em auto 0 auto;
    background-color: rgb(255, 255, 255);
}

main h1{
    text-align: center;
    padding: 2%;
}

.line{
    content: '';
    height: 1px;
    background-color: rgba(0,0,0,0.5);
}

main section{
    padding: 2%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    column-gap: 5px;
    row-gap: 5px;
}

main section div{
    display:flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1em;
    transition: .3s;
    padding: 1em;
}

main section div:hover{
    cursor:pointer;
    box-shadow: 5px 10px 20px rgba(0,0,0,0.5);
}

main section div img{
    width: 10%;
}

main section div p{
    padding: 1em;
}